package org.jeecg.modules.bytedance.advertise.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.modules.bytedance.common.utils.Check;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 通用文案库
 * @author jeecg-boot
 * @date   2021-05-28
 * @version V1.0
 */
@Data
@TableName("ctop_bytedance_general_copywriter")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_bytedance_general_copywriter对象", description="通用文案库")
public class ByteDanceGeneralCopywriter {
    
	/**id*/
	@TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
	private String id;
	/**广告账户ID（相当于头条返回的access_token数据中的advertiser_id）*/
	@Excel(name = "广告账户ID（相当于头条返回的access_token数据中的advertiser_id）", width = 15)
    @ApiModelProperty(value = "广告账户ID（相当于头条返回的access_token数据中的advertiser_id）")
	private Long accountId;
	/**文案*/
	@Excel(name = "文案", width = 15)
    @ApiModelProperty(value = "文案")
	private String textCopywriter;
	/**动态词包id数组*/
	@Excel(name = "动态词包id数组", width = 15)
    @ApiModelProperty(value = "动态词包id数组")
	private String creativeWordIds;
	/**状态 0：启用 1：禁用*/
	@Excel(name = "状态 0：启用 1：禁用", width = 15)
    @ApiModelProperty(value = "状态 0：启用 1：禁用")
	private Integer status;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;

    public ByteDanceGeneralCopywriter(){}

    public ByteDanceGeneralCopywriter(Long accountId, String textCopywriter){
		if (!Check.isNull(accountId)) {
			this.accountId = accountId;
		}

		if(!Check.isNull(textCopywriter)){
			this.textCopywriter = textCopywriter;
		}


	}

	public ByteDanceGeneralCopywriter(Long accountId, String textCopywriter, String creativeWordIds){
		if (!Check.isNull(accountId)) {
			this.accountId = accountId;
		}

		if(!Check.isNull(textCopywriter)){
			this.textCopywriter = textCopywriter;
		}

		if(!Check.isNull(creativeWordIds)){
			this.creativeWordIds = creativeWordIds;
		}
	}

}
